<?xml version="1.0" encoding="UTF-8"?>

<!--XBRL Document Created with the Workiva Platform-->
<!--Copyright 2024 Workiva-->
<!--r:18447a58-f7ee-4b6c-9356-b0a4c8c32be9,g:58a1a7b4-e9ff-412d-acd8-999def15dad9-->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedPeriodStartLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedPeriodStartLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/netLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/net-2009-12-16.xsd#netLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedNetLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedNetLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedTerseLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTerseLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedPeriodEndLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedPeriodEndLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedTotalLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTotalLabel"/>
  <link:labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended">
    <link:label id="lab_ifrs-full_InterestRevenueExpense_e51cd007-ced8-4ca7-8187-ac1216b2bb4b_totalLabel_en" xlink:label="lab_ifrs-full_InterestRevenueExpense" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Interest income (expense)</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_InterestRevenueExpense" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_InterestRevenueExpense"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_InterestRevenueExpense" xlink:to="lab_ifrs-full_InterestRevenueExpense" xlink:type="arc" order="1"/>
    <link:label id="lab_hsbcmalta_AdjustmentsForDecreaseIncreaseInLoansAndAdvancesToBanksAndCustomers_label_en" xlink:label="lab_hsbcmalta_AdjustmentsForDecreaseIncreaseInLoansAndAdvancesToBanksAndCustomers" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Adjustments For Decrease Increase In Loans And Advances To Banks And Customers</link:label>
    <link:label id="lab_hsbcmalta_AdjustmentsForDecreaseIncreaseInLoansAndAdvancesToBanksAndCustomers_documentation_en" xlink:label="lab_hsbcmalta_AdjustmentsForDecreaseIncreaseInLoansAndAdvancesToBanksAndCustomers" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Adjustments For Decrease Increase In Loans And Advances To Banks And Customers</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_hsbcmalta_AdjustmentsForDecreaseIncreaseInLoansAndAdvancesToBanksAndCustomers" xlink:href="hsbcmalta-2023-12-31.xsd#hsbcmalta_AdjustmentsForDecreaseIncreaseInLoansAndAdvancesToBanksAndCustomers"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_hsbcmalta_AdjustmentsForDecreaseIncreaseInLoansAndAdvancesToBanksAndCustomers" xlink:to="lab_hsbcmalta_AdjustmentsForDecreaseIncreaseInLoansAndAdvancesToBanksAndCustomers" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital_63a83344-e3c6-4a16-96c4-9157a262f06c_totalLabel_en" xlink:label="lab_ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Cash flows from (used in) operations before changes in working capital</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:to="lab_ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:type="arc" order="1"/>
    <link:label id="lab_hsbcmalta_PrepaymentsAccruedIncomeAndOtherAssets_label_en" xlink:label="lab_hsbcmalta_PrepaymentsAccruedIncomeAndOtherAssets" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Prepayments, Accrued Income And Other Assets</link:label>
    <link:label id="lab_hsbcmalta_PrepaymentsAccruedIncomeAndOtherAssets_documentation_en" xlink:label="lab_hsbcmalta_PrepaymentsAccruedIncomeAndOtherAssets" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Prepayments, Accrued Income And Other Assets</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_hsbcmalta_PrepaymentsAccruedIncomeAndOtherAssets" xlink:href="hsbcmalta-2023-12-31.xsd#hsbcmalta_PrepaymentsAccruedIncomeAndOtherAssets"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_hsbcmalta_PrepaymentsAccruedIncomeAndOtherAssets" xlink:to="lab_hsbcmalta_PrepaymentsAccruedIncomeAndOtherAssets" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesOnRevaluation_f68e9c62-c649-4f0a-8ae9-8c062acac2a9_totalLabel_en" xlink:label="lab_ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesOnRevaluation" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Other comprehensive income, net of tax, gains (losses) on revaluation</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesOnRevaluation" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesOnRevaluation"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesOnRevaluation" xlink:to="lab_ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesOnRevaluation" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_OperatingExpense_98f4fca3-224f-46fd-8308-1ab450add55f_totalLabel_en" xlink:label="lab_ifrs-full_OperatingExpense" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Operating expense</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OperatingExpense" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OperatingExpense"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_OperatingExpense" xlink:to="lab_ifrs-full_OperatingExpense" xlink:type="arc" order="1"/>
    <link:label id="lab_hsbcmalta_ReceiptsFromInterestFeesLoanRecoveriesAndPremiums_label_en" xlink:label="lab_hsbcmalta_ReceiptsFromInterestFeesLoanRecoveriesAndPremiums" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Receipts From Interest, Fees, Loan Recoveries And Premiums</link:label>
    <link:label id="lab_hsbcmalta_ReceiptsFromInterestFeesLoanRecoveriesAndPremiums_documentation_en" xlink:label="lab_hsbcmalta_ReceiptsFromInterestFeesLoanRecoveriesAndPremiums" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Receipts From Interest, Fees, Loan Recoveries And Premiums</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_hsbcmalta_ReceiptsFromInterestFeesLoanRecoveriesAndPremiums" xlink:href="hsbcmalta-2023-12-31.xsd#hsbcmalta_ReceiptsFromInterestFeesLoanRecoveriesAndPremiums"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_hsbcmalta_ReceiptsFromInterestFeesLoanRecoveriesAndPremiums" xlink:to="lab_hsbcmalta_ReceiptsFromInterestFeesLoanRecoveriesAndPremiums" xlink:type="arc" order="1"/>
    <link:label id="lab_hsbcmalta_AdjustmentsForDecreaseIncreaseInFinancialAssetsAtFairValueDesignatedUponInitialRecognitionOrSubsequently_label_en" xlink:label="lab_hsbcmalta_AdjustmentsForDecreaseIncreaseInFinancialAssetsAtFairValueDesignatedUponInitialRecognitionOrSubsequently" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Adjustments For Decrease (Increase) In Financial Assets At Fair Value, Designated Upon Initial Recognition Or Subsequently</link:label>
    <link:label id="lab_hsbcmalta_AdjustmentsForDecreaseIncreaseInFinancialAssetsAtFairValueDesignatedUponInitialRecognitionOrSubsequently_documentation_en" xlink:label="lab_hsbcmalta_AdjustmentsForDecreaseIncreaseInFinancialAssetsAtFairValueDesignatedUponInitialRecognitionOrSubsequently" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Adjustments For Decrease (Increase) In Financial Assets At Fair Value, Designated Upon Initial Recognition Or Subsequently</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_hsbcmalta_AdjustmentsForDecreaseIncreaseInFinancialAssetsAtFairValueDesignatedUponInitialRecognitionOrSubsequently" xlink:href="hsbcmalta-2023-12-31.xsd#hsbcmalta_AdjustmentsForDecreaseIncreaseInFinancialAssetsAtFairValueDesignatedUponInitialRecognitionOrSubsequently"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_hsbcmalta_AdjustmentsForDecreaseIncreaseInFinancialAssetsAtFairValueDesignatedUponInitialRecognitionOrSubsequently" xlink:to="lab_hsbcmalta_AdjustmentsForDecreaseIncreaseInFinancialAssetsAtFairValueDesignatedUponInitialRecognitionOrSubsequently" xlink:type="arc" order="1"/>
    <link:label id="lab_hsbcmalta_OtherComprehensiveIncomeNetOfTaxGainsLossesFromInvestmentsInFinancialInstruments_label_en" xlink:label="lab_hsbcmalta_OtherComprehensiveIncomeNetOfTaxGainsLossesFromInvestmentsInFinancialInstruments" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Other Comprehensive Income, Net Of Tax, Gains (Losses) From Investments In Financial Instruments</link:label>
    <link:label id="lab_hsbcmalta_OtherComprehensiveIncomeNetOfTaxGainsLossesFromInvestmentsInFinancialInstruments_documentation_en" xlink:label="lab_hsbcmalta_OtherComprehensiveIncomeNetOfTaxGainsLossesFromInvestmentsInFinancialInstruments" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Other Comprehensive Income, Net Of Tax, Gains (Losses) From Investments In Financial Instruments</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_hsbcmalta_OtherComprehensiveIncomeNetOfTaxGainsLossesFromInvestmentsInFinancialInstruments" xlink:href="hsbcmalta-2023-12-31.xsd#hsbcmalta_OtherComprehensiveIncomeNetOfTaxGainsLossesFromInvestmentsInFinancialInstruments"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_hsbcmalta_OtherComprehensiveIncomeNetOfTaxGainsLossesFromInvestmentsInFinancialInstruments" xlink:to="lab_hsbcmalta_OtherComprehensiveIncomeNetOfTaxGainsLossesFromInvestmentsInFinancialInstruments" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_CashFlowsFromUsedInOperatingActivities_aaf99fe8-64b9-4051-9234-502e21984233_totalLabel_en" xlink:label="lab_ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Cash flows from (used in) operating activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="lab_ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_CashFlowsFromUsedInFinancingActivities_cfc7d212-0d36-49ff-86d3-79648efc9c7d_totalLabel_en" xlink:label="lab_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Cash flows from (used in) financing activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="lab_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_hsbcmalta_AccrualsDeferredIncomeAndOtherLiabilities_label_en" xlink:label="lab_hsbcmalta_AccrualsDeferredIncomeAndOtherLiabilities" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Accruals, Deferred Income And Other Liabilities</link:label>
    <link:label id="lab_hsbcmalta_AccrualsDeferredIncomeAndOtherLiabilities_documentation_en" xlink:label="lab_hsbcmalta_AccrualsDeferredIncomeAndOtherLiabilities" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Accruals, Deferred Income And Other Liabilities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_hsbcmalta_AccrualsDeferredIncomeAndOtherLiabilities" xlink:href="hsbcmalta-2023-12-31.xsd#hsbcmalta_AccrualsDeferredIncomeAndOtherLiabilities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_hsbcmalta_AccrualsDeferredIncomeAndOtherLiabilities" xlink:to="lab_hsbcmalta_AccrualsDeferredIncomeAndOtherLiabilities" xlink:type="arc" order="1"/>
    <link:label id="lab_hsbcmalta_Commitments_label_en" xlink:label="lab_hsbcmalta_Commitments" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Commitments</link:label>
    <link:label id="lab_hsbcmalta_Commitments_documentation_en" xlink:label="lab_hsbcmalta_Commitments" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Commitments</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_hsbcmalta_Commitments" xlink:href="hsbcmalta-2023-12-31.xsd#hsbcmalta_Commitments"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_hsbcmalta_Commitments" xlink:to="lab_hsbcmalta_Commitments" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_CashFlowsFromUsedInInvestingActivities_f0eaa0a2-45b6-42f1-980d-2a113262d927_totalLabel_en" xlink:label="lab_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Cash flows from (used in) investing activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="lab_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_hsbcmalta_BalancesWithCentralBankOfMaltaTreasuryBillsAndCash_label_en" xlink:label="lab_hsbcmalta_BalancesWithCentralBankOfMaltaTreasuryBillsAndCash" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Balances with Central Bank of Malta, Treasury Bills and Cash</link:label>
    <link:label id="lab_hsbcmalta_BalancesWithCentralBankOfMaltaTreasuryBillsAndCash_documentation_en" xlink:label="lab_hsbcmalta_BalancesWithCentralBankOfMaltaTreasuryBillsAndCash" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Balances with Central Bank of Malta, Treasury Bills and Cash</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_hsbcmalta_BalancesWithCentralBankOfMaltaTreasuryBillsAndCash" xlink:href="hsbcmalta-2023-12-31.xsd#hsbcmalta_BalancesWithCentralBankOfMaltaTreasuryBillsAndCash"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_hsbcmalta_BalancesWithCentralBankOfMaltaTreasuryBillsAndCash" xlink:to="lab_hsbcmalta_BalancesWithCentralBankOfMaltaTreasuryBillsAndCash" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_FeeAndCommissionIncomeExpense_9ab8c4ef-4acc-4d1b-8313-ff37cdc0c96a_totalLabel_en" xlink:label="lab_ifrs-full_FeeAndCommissionIncomeExpense" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Finance income (cost)</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_FeeAndCommissionIncomeExpense" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_FeeAndCommissionIncomeExpense"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_FeeAndCommissionIncomeExpense" xlink:to="lab_ifrs-full_FeeAndCommissionIncomeExpense" xlink:type="arc" order="1"/>
    <link:label id="lab_hsbcmalta_NetOperatingIncome_99dc48b3-8b22-49cd-b9ea-277ebd86985a_totalLabel_en" xlink:label="lab_hsbcmalta_NetOperatingIncome" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Profit (loss) from operating activities</link:label>
    <link:label id="lab_hsbcmalta_NetOperatingIncome_label_en" xlink:label="lab_hsbcmalta_NetOperatingIncome" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Net Operating Income</link:label>
    <link:label id="lab_hsbcmalta_NetOperatingIncome_documentation_en" xlink:label="lab_hsbcmalta_NetOperatingIncome" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Net Operating Income</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_hsbcmalta_NetOperatingIncome" xlink:href="hsbcmalta-2023-12-31.xsd#hsbcmalta_NetOperatingIncome"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_hsbcmalta_NetOperatingIncome" xlink:to="lab_hsbcmalta_NetOperatingIncome" xlink:type="arc" order="1"/>
    <link:label id="lab_hsbcmalta_IncreaseDecreaseThroughTransferBetweenRevaluationReserveAndRetainedEarningsLandAndBuildings_label_en" xlink:label="lab_hsbcmalta_IncreaseDecreaseThroughTransferBetweenRevaluationReserveAndRetainedEarningsLandAndBuildings" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Increase Decrease Through Transfer Between Revaluation Reserve And Retained Earnings, Land and Buildings</link:label>
    <link:label id="lab_hsbcmalta_IncreaseDecreaseThroughTransferBetweenRevaluationReserveAndRetainedEarningsLandAndBuildings_documentation_en" xlink:label="lab_hsbcmalta_IncreaseDecreaseThroughTransferBetweenRevaluationReserveAndRetainedEarningsLandAndBuildings" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Increase Decrease Through Transfer Between Revaluation Reserve And Retained Earnings, Land and Buildings</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_hsbcmalta_IncreaseDecreaseThroughTransferBetweenRevaluationReserveAndRetainedEarningsLandAndBuildings" xlink:href="hsbcmalta-2023-12-31.xsd#hsbcmalta_IncreaseDecreaseThroughTransferBetweenRevaluationReserveAndRetainedEarningsLandAndBuildings"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_hsbcmalta_IncreaseDecreaseThroughTransferBetweenRevaluationReserveAndRetainedEarningsLandAndBuildings" xlink:to="lab_hsbcmalta_IncreaseDecreaseThroughTransferBetweenRevaluationReserveAndRetainedEarningsLandAndBuildings" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners_df9467ab-252f-4b4b-817c-480321f0555b_totalLabel_en" xlink:label="lab_ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Increase (decrease) through transactions with owners, equity</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners" xlink:to="lab_ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners" xlink:type="arc" order="1"/>
    <link:label id="lab_hsbcmalta_AdjustmentsForIncreaseDecreaseInDepositsFromCustomersAndBanks_label_en" xlink:label="lab_hsbcmalta_AdjustmentsForIncreaseDecreaseInDepositsFromCustomersAndBanks" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Adjustments For Increase Decrease In Deposits From Customers And Banks</link:label>
    <link:label id="lab_hsbcmalta_AdjustmentsForIncreaseDecreaseInDepositsFromCustomersAndBanks_documentation_en" xlink:label="lab_hsbcmalta_AdjustmentsForIncreaseDecreaseInDepositsFromCustomersAndBanks" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Adjustments For Increase Decrease In Deposits From Customers And Banks</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_hsbcmalta_AdjustmentsForIncreaseDecreaseInDepositsFromCustomersAndBanks" xlink:href="hsbcmalta-2023-12-31.xsd#hsbcmalta_AdjustmentsForIncreaseDecreaseInDepositsFromCustomersAndBanks"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_hsbcmalta_AdjustmentsForIncreaseDecreaseInDepositsFromCustomersAndBanks" xlink:to="lab_hsbcmalta_AdjustmentsForIncreaseDecreaseInDepositsFromCustomersAndBanks" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_RevenueAndOperatingIncome_a02fd27d-9ea0-4cab-9b1b-d6a4add35365_totalLabel_en" xlink:label="lab_ifrs-full_RevenueAndOperatingIncome" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Profit Loss From Operating Activities Before Changes In Expected Credit Losses And Provisions</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_RevenueAndOperatingIncome" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_RevenueAndOperatingIncome"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_RevenueAndOperatingIncome" xlink:to="lab_ifrs-full_RevenueAndOperatingIncome" xlink:type="arc" order="1"/>
    <link:label id="lab_hsbcmalta_AmortisationAndImpairmentIntangibleAssetsOtherThanGoodwill_label_en" xlink:label="lab_hsbcmalta_AmortisationAndImpairmentIntangibleAssetsOtherThanGoodwill" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Amortisation And Impairment, Intangible Assets Other Than Goodwill</link:label>
    <link:label id="lab_hsbcmalta_AmortisationAndImpairmentIntangibleAssetsOtherThanGoodwill_documentation_en" xlink:label="lab_hsbcmalta_AmortisationAndImpairmentIntangibleAssetsOtherThanGoodwill" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Amortisation And Impairment, Intangible Assets Other Than Goodwill</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_hsbcmalta_AmortisationAndImpairmentIntangibleAssetsOtherThanGoodwill" xlink:href="hsbcmalta-2023-12-31.xsd#hsbcmalta_AmortisationAndImpairmentIntangibleAssetsOtherThanGoodwill"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_hsbcmalta_AmortisationAndImpairmentIntangibleAssetsOtherThanGoodwill" xlink:to="lab_hsbcmalta_AmortisationAndImpairmentIntangibleAssetsOtherThanGoodwill" xlink:type="arc" order="1"/>
    <link:label id="lab_hsbcmalta_AdjustmentForDecreaseIncreaseInTreasuryBills_label_en" xlink:label="lab_hsbcmalta_AdjustmentForDecreaseIncreaseInTreasuryBills" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Adjustment For Decrease (Increase) In Treasury Bills</link:label>
    <link:label id="lab_hsbcmalta_AdjustmentForDecreaseIncreaseInTreasuryBills_documentation_en" xlink:label="lab_hsbcmalta_AdjustmentForDecreaseIncreaseInTreasuryBills" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Adjustment For Decrease (Increase) In Treasury Bills</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_hsbcmalta_AdjustmentForDecreaseIncreaseInTreasuryBills" xlink:href="hsbcmalta-2023-12-31.xsd#hsbcmalta_AdjustmentForDecreaseIncreaseInTreasuryBills"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_hsbcmalta_AdjustmentForDecreaseIncreaseInTreasuryBills" xlink:to="lab_hsbcmalta_AdjustmentForDecreaseIncreaseInTreasuryBills" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_CashFlowsFromUsedInOperations_100b9b4b-390f-4c8e-abc8-22641f0118dd_totalLabel_en" xlink:label="lab_ifrs-full_CashFlowsFromUsedInOperations" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">The Cash Flows From (Used In) Operating Activities Before Tax</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperations" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperations"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations" xlink:to="lab_ifrs-full_CashFlowsFromUsedInOperations" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges_b7065c6f-d752-46cd-a7be-9e0f006c73f2_totalLabel_en" xlink:label="lab_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Increase (decrease) in cash and cash equivalents</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:to="lab_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesFromInvestmentsInEquityInstruments_fb9a304d-6617-468d-9cab-faa986455275_totalLabel_en" xlink:label="lab_ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesFromInvestmentsInEquityInstruments" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Other comprehensive income, net of tax, gains (losses) from investments in equity instruments</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesFromInvestmentsInEquityInstruments" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesFromInvestmentsInEquityInstruments"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesFromInvestmentsInEquityInstruments" xlink:to="lab_ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesFromInvestmentsInEquityInstruments" xlink:type="arc" order="1"/>
    <link:label id="lab_hsbcmalta_PaymentsForInterestFeesAndClaims_label_en" xlink:label="lab_hsbcmalta_PaymentsForInterestFeesAndClaims" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Payments For Interest, Fees And Claims</link:label>
    <link:label id="lab_hsbcmalta_PaymentsForInterestFeesAndClaims_documentation_en" xlink:label="lab_hsbcmalta_PaymentsForInterestFeesAndClaims" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Payments For Interest, Fees And Claims</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_hsbcmalta_PaymentsForInterestFeesAndClaims" xlink:href="hsbcmalta-2023-12-31.xsd#hsbcmalta_PaymentsForInterestFeesAndClaims"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_hsbcmalta_PaymentsForInterestFeesAndClaims" xlink:to="lab_hsbcmalta_PaymentsForInterestFeesAndClaims" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_RepaymentsOfSubordinatedLiabilities_460cf345-931a-40a5-92b2-3e22d8ff4da9_negatedLabel_en" xlink:label="lab_ifrs-full_RepaymentsOfSubordinatedLiabilities" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Repayments of subordinated liabilities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_RepaymentsOfSubordinatedLiabilities" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_RepaymentsOfSubordinatedLiabilities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_RepaymentsOfSubordinatedLiabilities" xlink:to="lab_ifrs-full_RepaymentsOfSubordinatedLiabilities" xlink:type="arc" order="1"/>
    <link:label id="lab_hsbcmalta_GuaranteesAndOtherContingentLiabilities_label_en" xlink:label="lab_hsbcmalta_GuaranteesAndOtherContingentLiabilities" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Guarantees And Other Contingent Liabilities</link:label>
    <link:label id="lab_hsbcmalta_GuaranteesAndOtherContingentLiabilities_documentation_en" xlink:label="lab_hsbcmalta_GuaranteesAndOtherContingentLiabilities" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Guarantees And Other Contingent Liabilities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_hsbcmalta_GuaranteesAndOtherContingentLiabilities" xlink:href="hsbcmalta-2023-12-31.xsd#hsbcmalta_GuaranteesAndOtherContingentLiabilities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_hsbcmalta_GuaranteesAndOtherContingentLiabilities" xlink:to="lab_hsbcmalta_GuaranteesAndOtherContingentLiabilities" xlink:type="arc" order="1"/>
  </link:labelLink>
</link:linkbase>
